{ config, lib, pkgs, ... }: 
with lib;
let
  cfg = config.modules.desktop.sway;
in
{
  config = mkIf config.modules.desktop.sway.enable {
    programs.swaylock = {
      enable = true;
      settings = {
        image = "${cfg.wallpapers.lockscreen}";
        scaling = "center";
        color = "000000";
        indicator-radius = 70;
        indicator-y-position = 150;
        font = "Fira Code Nerd Font Mono";
        font-size = "14";
        inside-color = "00000000";
        ring-color = "323232";
        ring-ver-color = "1cd180";
        inside-ver-color = "1cd180cc";
        ring-wrong-color = "f268b3";
        inside-wrong-color = "f268b3cc";
        key-hl-color = "1cd180";
        caps-lock-key-hl-color = "1cd180"; 
        caps-lock-bs-hl-color = "f268b3";
        bs-hl-color = "f268b3ff";
        separator-color = "00000000";
        ignore-empty-password = true;
        show-failed-attempts = true;
        daemonize = true;
        line-uses-inside = true;
      };
    };
  };
}
